Class EndpointWithResponseMapperAttr<Req,Res,Err>
java.lang.Object
co.elastic.clients.transport.endpoints.DelegatingJsonEndpoint<Req,Res,Err>
co.elastic.clients.transport.endpoints.EndpointWithResponseMapperAttr<Req,Res,Err>
- All Implemented Interfaces:
Endpoint<Req,Res,Err>,JsonEndpoint<Req,Res,Err>
public class EndpointWithResponseMapperAttr<Req,Res,Err> extends DelegatingJsonEndpoint<Req,Res,Err>
An endpoint wrapper that adds attributes to the JSON mapper used to deserialize its response.
-
Field Summary
Fields inherited from class co.elastic.clients.transport.endpoints.DelegatingJsonEndpoint
endpoint -
Constructor Summary
Constructors Constructor Description EndpointWithResponseMapperAttr(JsonEndpoint<Req,Res,Err> endpoint, java.lang.String attrName, java.lang.Object attrValue) -
Method Summary
Modifier and Type Method Description JsonpDeserializer<Res>responseDeserializer()The entity parser for the response body.Methods inherited from class co.elastic.clients.transport.endpoints.DelegatingJsonEndpoint
errorDeserializer, hasRequestBody, headers, id, isError, method, queryParameters, requestUrlMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
Constructor Details
-
EndpointWithResponseMapperAttr
public EndpointWithResponseMapperAttr(JsonEndpoint<Req,Res,Err> endpoint, java.lang.String attrName, java.lang.Object attrValue)
-
-
Method Details
-
responseDeserializer
Description copied from interface:JsonEndpointThe entity parser for the response body.- Specified by:
responseDeserializerin interfaceJsonEndpoint<Req,Res,Err>- Overrides:
responseDeserializerin classDelegatingJsonEndpoint<Req,Res,Err>
-